{
    "format_version": "1.10.0",
    "minecraft:client_entity": {
      "description": {
        "identifier": "hog:diamond_spear_thrown",
        "materials": {
          "default": "arrow"
        },
        "textures": {
          "default": "textures/entities/diamond_spear"
        },
        "geometry": {
          "default": "geometry.thrown_spear"
        },
        "animations": {
          "move": "animation.spear.move"
        },
        "scripts": {
          "animate": [
            "move"
          ]
        },
        "render_controllers": [ "controller.render.arrow" ]
      }
    }
  }
  